unit uEditorContratosClienteBeneficios;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uEditorGridBase, Menus, JvAppStorage, JvAppRegistryStorage, DB,
  uDAInterfaces, uDADataTable, JvComponentBase, JvFormPlacement, ImgList,
  PngImageList, StdActns, ActnList, ComCtrls, JvExComCtrls, JvStatusBar, TBX,
  TB2ExtItems, TBXExtItems, TB2Item, TB2Dock, TB2Toolbar, pngimage, ExtCtrls,
  JvExControls, JvNavigationPane, uIEditorContratosClienteBeneficios, uBizContratosCliente,
  uCustomView, uViewBase, uViewGridBase, uViewGrid,
  uViewContratosClienteBeneficios;

type
  TfEditorContratosClienteBeneficios = class(TfEditorGridBase, IEditorContratosClienteBeneficios)
    frViewContratosClienteBeneficios1: TfrViewContratosClienteBeneficios;
    procedure FormShow(Sender: TObject);
  private
    FContratos: IBizContratosClienteBeneficios;
    function GetContratos: IBizContratosClienteBeneficios;
    procedure SetContratos(const Value: IBizContratosClienteBeneficios);

  protected
    procedure ImprimirInterno; override;
    procedure PrevisualizarInterno; override;

  public
    property Contratos: IBizContratosClienteBeneficios read GetContratos write SetContratos;
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

var
  fEditorContratosClienteBeneficios: TfEditorContratosClienteBeneficios;

implementation

{$R *.dfm}

{ TfEditorContratosClienteBeneficios }

constructor TfEditorContratosClienteBeneficios.Create(AOwner: TComponent);
begin
  inherited;
  FContratos := NIL;
end;

destructor TfEditorContratosClienteBeneficios.Destroy;
begin
  FContratos := NIL;
  inherited;
end;

procedure TfEditorContratosClienteBeneficios.FormShow(Sender: TObject);
begin
  inherited;
  ViewGrid := frViewContratosClienteBeneficios1;
  FContratos.Active := True;
  actAnchoAuto.Execute;
end;

function TfEditorContratosClienteBeneficios.GetContratos: IBizContratosClienteBeneficios;
begin
  Result := FContratos;
end;

procedure TfEditorContratosClienteBeneficios.ImprimirInterno;
begin
  inherited;

end;

procedure TfEditorContratosClienteBeneficios.PrevisualizarInterno;
begin
  inherited;

end;

procedure TfEditorContratosClienteBeneficios.SetContratos(const Value: IBizContratosClienteBeneficios);
begin
  FContratos := Value;
  frViewContratosClienteBeneficios1.Contratos := FContratos;
end;

end.
